Subject: bug#54000: closed (Re: bug#54000: [PATCH 0/2] Not showing upgraded/added packages in 'guix pull')

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Feb 2022 22:16:02 +0000

Your bug report

#54000: [PATCH 0/2] Not showing upgraded/added packages in 'guix pull'

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54000: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54000: [PATCH 0/2] Not showing upgraded/added packages in 'guix pull'
From: Ludovic Courtès <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], zimoun <[email-masked]>
Date: Sun, 27 Feb 2022 23:15:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> Am Freitag, dem 18.02.2022 um 10:08 +0100 schrieb Ludovic Courtès:
>> Hey comrades, hold your horses!  :-)
>> 
>> Since there’s a need for this, we can make ‘--details’ print package
>> lists when combined with ‘--news’; it doesn’t cost us anything,
>> that’s OK.
> Regarding the issue simon raised w.r.t. --details implying -l, I think
> --details should only imply listing the latest generation if -l is not
> specified.  That way --news --details would (hopefully) work as I
> intended, and specifying one without the other would only print that
> part.

Right, I went with something like you describe:

  2ddfb7b99b pull: No longer print upgraded/added packages upon completion.
  bc8bea1739 pull: '--news' no longer shows package lists.

That is, one can run ‘guix pull -N --details’ and get what you asked
for.  Running ‘guix pull --details’ alone still implies ‘-l’.

Let me know if anything’s amiss.

> On a separate note, would/should guix describe be affected by this? 
> Its output appear currently the same as `guix pull -l
> $CURRENT_GENERATION', but I haven't tested this on a generation
> including news.  My guess would be "no" as guix describe currently
> doesn't accept --news.

No, ‘guix describe’ doesn’t display news, profile changes, and all
that.  It’s meant to just show the raw channel info.

Thanks to both of you for your feedback!

Ludo’.

Subject: [PATCH 0/2] Not showing upgraded/added packages in 'guix pull'
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Mon, 14 Feb 2022 17:38:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

As a followup to <https://issues.guix.gnu.org/53909>, these patches
remove the list of added/upgraded packages from the output of
‘guix pull’ (upon completion) and ‘guix pull --news’.

It’s not spring yet in this hemisphere, but it looks like a spring cleanup!

Ludo’.

Ludovic Courtès (2):
  pull: '--news' no longer shows package lists.
  pull: No longer print upgraded/added packages upon completion.

 doc/guix.texi         | 10 ++---
 guix/scripts/pull.scm | 98 +++++++++++++++++++++++--------------------
 2 files changed, 57 insertions(+), 51 deletions(-)

base-commit: 41000d16c5c1586482a76d856c3152a6b8fcce8a
-- 
2.34.0